
abstract class AbsoluteEncodingLscape extends LatticeModelLscape{
    
	int[][] convertToCoordinates(char[] LMabsoluteEncoding){
		int points[][] = new int[LMabsoluteEncoding.length+2][3];
		points[0][0] = 0; points[0][1] = 0; points[0][2] = 0;	//xyz
		points[1][0] = 1; points[1][1] = 0; points[1][2] = 0;
		for(int i=2; i<LMabsoluteEncoding.length+2; i++){
			
			points[i][0] = points[i-1][0];
			points[i][1] = points[i-1][1];
			points[i][2] = points[i-1][2];
			
			switch(LMabsoluteEncoding[i-2]){
				case 'R':
					points[i][0] = points[i-1][0] + 1;
					break;
				case 'L':
					points[i][0] = points[i-1][0] - 1;
					break;
				case 'F':
					points[i][1] = points[i-1][1] + 1;
					break;
				case 'B':
					points[i][1] = points[i-1][1] - 1;
					break;
				case 'U':
					points[i][2] = points[i-1][2] + 1;
					break;
				case 'D':
					points[i][2] = points[i-1][2] - 1;
					break;
				default:
					break;
			}
		}
		return points;
	}
}
