@EAarray = ('UN', 'SharingGA', 'CrowdingGA','CrowdingGA_absoluteMutation','SCGA');
@NFEarray = (100000, 5000000);
@popArray = (100);
@parentSelectionArray = ('uniform_deterministic'); #no more fitness_porportional, 'uniform_stochastic'
@landscapeArray = ('RE_UM1','RE_UM2','RE_UM3','RE_UM4','RE_UM5','RE_UM6','RE_UM7','RE_UM8');
@mutationArray = (0.8);


$mutation=0.5;
foreach $NFE (@NFEarray){
foreach $mutation (@mutationArray){
foreach $EA (@EAarray){
foreach $pop (@popArray){
foreach $parentSelection(@parentSelectionArray){
foreach $landscape (@landscapeArray){

#foreach $scaling (@speciesArray){
# foreach $scaling (@scalingArray){
# foreach $radius (@radiusArray){

	open(cfgFile, 'automateTemplateCfgFile.cfg');
	open(tempCfgFile, '> automateTemp.cfg') or die $!;
	open(intrusiveLog, '>>log/LatticeModelLog.csv') or die $!;
	
	$firstLine=0;
	while($record = <cfgFile>){
		if(substr($record,0,3) eq "EA="){
			print tempCfgFile "EA=$EA $scaling $radius\n";
		}elsif(substr($record,0,10) eq "Landscape="){
			if(substr($landscape,0,2) eq "RE"){
				print tempCfgFile "Landscape=RelativeEncoding $landscape\n";
			}elsif(substr($landscape,0,2) eq "AE"){
				print tempCfgFile "Landscape=AbsoluteEncoding $landscape\n";
			}else{
				print "Error not lattice model landscape\n";
				exit -1;
			}
		}elsif(substr($record,0,8) eq "PopSize="){
			print tempCfgFile "PopSize=$pop $pop\n";
			print intrusiveLog "$pop $pop (popsize),";
		}elsif(substr($record,0,15) eq "Representation="){
			if(substr($landscape,0,2) eq "RE"){
				print tempCfgFile "Representation=RelativeEncoding\n";
			}elsif(substr($landscape,0,2) eq "AE"){
				print tempCfgFile "Representation=AbsoluteEncoding\n";
			}else{
				print "Error not lattice model landscape (Representation)\n";
				exit -1;
			}
		}elsif(substr($record,0,16) eq "ParentSelection="){
			print tempCfgFile "ParentSelection=$parentSelection\n";
			print intrusiveLog "$parentSelection (ParentSelection),";
		}elsif(substr($record,0,16) eq "Mutation=bitflip"){
			print tempCfgFile "Mutation=bitflip $mutation\n";
			print intrusiveLog "$mutation (Mutation Probability),";
		}else{
			print tempCfgFile $record;
		}
	}
	
	close(cfgFile);
	close(tempCfgFile);
	close(intrusiveLog);
	
	print "-------- $scaling, $radius -------: java -server EC4 automateTemp.cfg $NFE\n";
	system("java -server EC4 automateTemp.cfg $NFE");
	
}
}
}
}
}
}