import java.lang.reflect.Constructor;
import java.util.*;


class RelativeEncodingEA_application  extends LatticeModelEA_application
{

	/*
   IvpEA_application constructor:
	 */

	RelativeEncodingEA_application(StringTokenizer lscape_props, Properties props)
	{
		super(props);

		if (! lscape_props.hasMoreTokens()) Util.ec_error("missing landscape name.");

		lscape_name = lscape_props.nextToken();
		if (lscape_name.equals("Goodman1")){
			landscape = new RE_Goodman1(lscape_props);    
		}else if(lscape_name.substring(0,2).equals("RE")){
			try {
				Class t = Class.forName(lscape_name);
				Constructor a = t.getDeclaredConstructor(StringTokenizer.class);
				a.setAccessible(true);
				landscape = (Landscape) t.cast(a.newInstance(lscape_props));
			} catch (Exception e) {
				e.printStackTrace();
				System.exit(-1);
			}
		}else{  Util.ec_error("unknown landscape: " + lscape_name);}

		landscape.print_info();

		EA_applicationInit(props);   // finish class initialization
	}



	/*
  run: inherited from LatticeModelEA_application

	 */

}
